Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define autorelease 25

# data-only package
%global debug_package %{nil}

# NOTE: this package is not noarch because LibreOffice has no
# arch-independent extension location

Name: libreoffice-gallery-vrt-network-equipment
Version: 1.2.0
Release: alt2_%autorelease
Summary: A network equipment shape gallery for LibreOffice

License: CC-BY-SA-3.0
URL: http://www.vrt.com.au/downloads/vrt-network-equipment
Source0: http://www.vrt.com.au/sites/default/files/download/VRTnetworkequipment_%{version}-lo.oxt
Source1: libreoffice-gallery-vrt-network-equipment.metainfo.xml

Requires: libreoffice
Source44: import.info

%description
A network equipment shape gallery for LibreOffice.

The gallery includes
* Clients & Displays: desktop, thin client, laptop, tablets, phones,
  industrial panel PCs, wide-screen TV and projector systems.
* Peripherals: Just printers and fax for now.
* Servers: a range of tower, rack and industrial PCs with emblems for a
  range of server roles - mix-n-match to suit (the tower can also be
  used with the thin client to create a desktop tower).
* Network & Power: Infrastructure for your network, including industrial
  fibre/Ethernet/serial components and odds and ends for wireless and
  mesh networking, solar systems and UPS.
* Sensors & Controllers: PLCs & remote I/O, RTUs, data loggers,
  electricity, water and gas meters, CCTV.

%prep
%setup -q -c -n %{name}-%{version}
find . -type f -print0 | xargs -0 chmod -x
mv Release-notes release-notes

%build

%install
install -d -m 0755 %{buildroot}%{_libdir}/libreoffice/share/extensions/vrt-network-equipment
cp -pr * %{buildroot}%{_libdir}/libreoffice/share/extensions/vrt-network-equipment
install -d -m 0755 %{buildroot}%{_datadir}/appdata
install -p -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/appdata

%files
%{_datadir}/appdata/%{name}.metainfo.xml
%{_libdir}/libreoffice/share/extensions/vrt-network-equipment

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt2_25
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt2_23
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt2_22
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt2_18
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt2_17
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt2_16
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt2_15
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt2_14
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1_14
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1_13
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1_12
- new version

